Subject: bug#24083: closed (Re: bug#24083: guix lint doesn't actually fail on some errors)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 31 Mar 2023 16:58:02 +0000

Your bug report

#24083: guix lint doesn't actually fail on some errors

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24083: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24083
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24083: guix lint doesn't actually fail on some errors
From: Maxim Cournoyer <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked], zimoun <[email-masked]>
Date: Fri, 31 Mar 2023 12:57:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Danny Milosavljevic <[email-masked]> writes:

> On Tue, 13 Jul 2021 11:05:49 +0200
> zimoun <[email-masked]> wrote:
>
>> On Wed, 27 Jul 2016 at 22:57, [email-masked] (Ludovic Courtès) wrote:
>> > Danny Milosavljevic <[email-masked]> skribis:
>> >  
>> >> guix lint doesn't actually fail on some errors.  
>> >
>> > It never pretended to exit with non-zero when warnings are emitted.  :-)
>> > (These are warnings, not errors.)  
>
> Sure, it makes sense.  I'm just doing " |wc -l" now.
>
>> Because of that, I propose to close without modifying the returned code.
>> WDYT?
>
> Agreed.
>
> But I would suggest to document in the manual that the exit status is
> not set,  though.

Acting on the proposed and agreed closing action :-).

-- 
Thanks,
Maxim

Subject: guix lint doesn't actually fail on some errors
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jul 2016 00:25:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

guix lint doesn't actually fail on some errors.

$ guix lint perl-io-socket-inet6 ; echo $?
;;; note: source file /x/home/dannym/src/guix/gnu/packages/networking.scm
;;;       newer than compiled /x/home/dannym/src/guix/gnu/packages/networking.go
;;; note: source file /x/home/dannym/src/guix/gnu/packages/mail.scm
;;;       newer than compiled /x/home/dannym/src/guix/gnu/packages/mail.go
;;; note: source file /x/home/dannym/src/guix/gnu/packages/ldc.scm
;;;       newer than compiled /x/home/dannym/src/guix/gnu/packages/ldc.go
gnu/packages/networking.scm:437:1: perl-io-socket-inet6-2.72: line 464 is way too long (96 characters)
gnu/packages/networking.scm:437:1: perl-io-socket-inet6-2.72: line 483 is way too long (92 characters)
0
^--- ooops